  grafana:
    container_name: ${COMPOSE_PROJECT_NAME:-default}-grafana
    build:
      context: ./grafana/
      args:
        LINUX_ROOT_PASSWORD: ${LINUX_ROOT_PASSWORD}
    working_dir: /
    entrypoint: /usr/bin/env
    command: cmd_master.sh
    volumes:
      - ./volumes-common/file/etc/rsyslog.conf:/etc/rsyslog.conf
      - ./grafana/volumes/file/root/.bash_history:/root/.bash_history
      - ./grafana/volumes/file/etc/supervisor/conf.d/supervisord.conf:/etc/supervisor/conf.d/supervisord.conf
      - ./grafana/volumes/file/usr/local/bin/cmd_master.sh:/usr/local/bin/cmd_master.sh
      - ./grafana/volumes/file/usr/local/bin/service_reinitialize.sh:/usr/local/bin/service_reinitialize.sh
      - ./grafana/volumes/file/usr/local/bin/service_start.sh:/usr/local/bin/service_start.sh
    networks:
      savemetenminutes-default:
        ipv4_address: ${NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS:-222.222}.${NETWORK_SUBNET_THIRD_OCTET:-222}.25
        aliases:
          - grafana.${COMPOSE_PROJECT_NAME:-default}
    ports:
      - "25001:9001"
      - "25022:22"
      - "25030:3000"
    expose:
      - "9001"
      - "22"
      - "3000"
